<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class MerchantTopUp extends Model
{
    public $table = "merchant_top_ups";
    
    protected $guarded = ['id'];

    public function merchantInfo()
    {
        return $this->hasOne('App\Models\Merchant', 'id', 'merchant_id');
    }
    public function orgUserInfo()
    {
        return $this->hasOne('App\Models\OrgUser', 'id', 'org_user_id');
    }
    public function orgInfo()
    {
        return $this->hasOne('App\Models\Organisation', 'id', 'org_id');
    }
}
